System requirements

From Stellarium Wiki
Jump to: navigation, search
  • Linux/Unix; Windows NT/2000/XP/Vista/7; MacOS X 10.3.x or greater
  • 3D graphics card which supports OpenGL
  • a dark room for realistic rendering - details like the Milky Way or star twinkling can’t be seen in a bright room
  • a minimum of 256 MiB RAM, 1 GiB or more required for the largest star catalogues

Note about OpenGL version

Stellarium is compiled to specifically use OpenGL 2 for better rendering quality. If your video card does not have an OpenGL 2 compatible driver you can force Stellarium to use OpenGL 1.x by:

  • (under Windows) using menu icon Stellarium (no OpenGL2), or
  • placing use_qpaintenginegl2 = false in section [main] of the config.ini file
Stellarium version System requirements
Minimal Recommended
Linux/UNIX Windows Mac OS X RAM HDD OpenGL Linux/UNIX Windows Mac OS X RAM HDD OpenGL
0.6.0 -
0.6.1 -
0.7.0 -
0.7.1 -
0.8.0 -
0.8.1 -
0.8.2 -
0.9.0 -
0.9.1 -
0.10.0 -
0.10.1 -
0.10.2 -
0.10.3 -
0.10.4 -
0.10.5 -
0.10.6 -
0.11.0 -
0.11.1 -
0.11.2 Qt 4.6.0+; cmake 2.8+; GCC 4.3+ 2000+ 10.5+ 256 Mb 100 Mb 1.1 Qt 4.7.4; cmake 2.8+; GCC 4.3+ XP+ 10.5+ 1 Gb 1.5 Gb 2.0+
0.11.3 -
Personal tools
Namespaces
Variants
Actions
in this wiki
other languages
Toolbox